Usuários

Obter usuários por ids

GET /v1/users/batch reads 1 per id créditos

Perfis de até 50 contas por id numérico em uma única chamada. Custa 1 crédito por id solicitado.

Parâmetros de consulta

Parâmetro de queryTipoSignificado
ids *string (1–50 ids)Ids numéricos de conta separados por vírgula, 1–50

resposta

items traz os perfis encontrados, na ordem da requisição; missing lista os ids que não resolveram para nenhuma conta.

Status: 200, 400, 429, 502

requisição
curl https://api.xsignalfeed.com/v1/users/batch?ids=1652541,11348282,999999999999999999 \
  -H "Authorization: Bearer xsf_your_key"
resposta · 200 / 400
{
  "items": [
    {
      "id": "1652541",
      "name": "Reuters",
      "screen_name": "Reuters",
      "bio": "Top and breaking news, pictures and videos from Reuters…",
      "location": "Around the world",
      "url": "https://t.co/…",
      "avatar": "https://pbs.twimg.com/profile_images/…",
      "banner": "https://pbs.twimg.com/profile_banners/1652541/…",
      "pinned": null,
      "verified": true,
      "protected": false,
      "followers": 26367695,
      "following": 1195,
      "tweets": 1395836
    },
    {
      "id": "11348282",
      "name": "NASA",
      "screen_name": "NASA",
      "bio": "Making the seemingly impossible, possible. ✨",
      "location": "Pale Blue Dot",
      "…": "…"
    }
  ],
  "missing": [
    "999999999999999999"
  ]
}